Subject: [CCAMP] bidir LSP in rfc4803

From: "Vijayanand C - ERS, HCL Tech" <[email-masked]>
Date: Mon, 28 Feb 2011 13:01:12 +0530

Hello All,

How are the two directions of the cross connect of the bidirectional LSP correlated
It is not clear in RFC 4803.

As per section 5, the cross connects will have the same XC index.
"
The GMPLS-LSR-STD-MIB module supports bidirectional LSPs as required
   for GMPLS.  A single value of mplsXCIndex is shared by all of the
   segments for the entire bidirectional LSP.  This facilitates a simple
   reference from [RFC3812<http://tools.ietf.org/html/rfc3812>] and [RFC4802<http://tools.ietf.org/html/rfc4802>] and makes fate-sharing more
   obvious.
"

But as per the example in section 6, the xcindex can be different but the mplsXCLSPId must be same

" In mplsXCTable:
   {
      mplsXCIndex                = 0x01,
      mplsXCInSegmentIndex       = 0x00000015,
      mplsXCOutSegmentIndex      = 0x00000012,
      mplsXCLspId                = 0x0102 -- unique ID
      mplsXCLabelStackIndex      = 0x00, -- only a single outgoing label
      mplsXCRowStatus            = createAndGo(4)
   }

   In mplsXCTable:
   {
      mplsXCIndex                = 0x02,
      mplsXCInSegmentIndex       = 0x00000016,
      mplsXCOutSegmentIndex      = 0x00000013,
      mplsXCLspId                = 0x0102 -- unique ID
      mplsXCLabelStackIndex      = 0x00, -- only a single outgoing label
      mplsXCRowStatus            = createAndGo(4)
   }
"

Will the mplsXCindex be same or different, please clarify.

Regards
Vijay

________________________________
::DISCLAIMER::
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only.
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates.
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have
received this email in error please delete it and notify the sender immediately. Before opening any mail and
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------

---

From: Attila Takacs <[email-masked]>
Date: Mon, 28 Feb 2011 15:49:29 +0100

Hi Vijay,

Thanks for pointing out the MIB aspects, this is indeed a bit lagging behind.

However, initial work on TP specific MIB has been started recently: http://tools.ietf.org/id/draft-vkst-mpls-tp-te-mib-00.txt discusses bidirectional LSPs and I think the asymmetric bandwidth option should be addressed in that document as it goes along.

Attila

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Vijayanand C - ERS, HCL Tech
Sent: Monday, February 28, 2011 8:31 AM
To: [email-masked]
Subject: [CCAMP] bidir LSP in rfc4803

Hello All,

" In mplsXCTable:
   {
      mplsXCIndex                = 0x01,

   In mplsXCTable:
   {
      mplsXCIndex                = 0x02,

Regards
Vijay

---

From: "Vijayanand C - ERS, HCL Tech" <[email-masked]>
Date: Tue, 1 Mar 2011 12:05:02 +0530

Attila,
Thanks for the response.

The draft which you mentioned also has a similar example with two cross connects with different mplsXCIndex and same mplsXCLSPID. One of the authors mailed today that it was a mistake and that it should really be the same mplsXCIndex .

A related issue with this is , what will the XCPointer in the mplsTunnelTable ( of the MPLS-TE MIB) point to , if each tunnel entry has two corresponding cross entries.

Regards
Vijay
From: Attila Takacs [mailto:[email-masked]]
Sent: Monday, February 28, 2011 8:19 PM
To: Vijayanand C - ERS, HCL Tech; [email-masked]
Subject: RE: bidir LSP in rfc4803

Hi Vijay,

Attila

" In mplsXCTable:
   {
      mplsXCIndex                = 0x01,

   In mplsXCTable:
   {
      mplsXCIndex                = 0x02,

Regards
Vijay